Package org.eclipse.emf.cdo.server

## Interface IStoreAccessor.UnitSupport

- All Superinterfaces:
    `InternalCDOBranchManager.BranchLoader`, `InternalCDOCommitInfoManager.CommitInfoLoader`, `IQueryHandlerProvider`, `IStoreAccessor`
  All Known Subinterfaces:
    `IDBStoreAccessor`
  Enclosing interface:
    IStoreAccessor

      public static interface IStoreAccessor.UnitSupport
      extends IStoreAccessor

  An extension interface for `store accessors` that support units.
  Since:
    4.5
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `IStoreAccessor.CommitContext, IStoreAccessor.DurableLocking, IStoreAccessor.DurableLocking2, IStoreAccessor.QueryResourcesContext, IStoreAccessor.QueryXRefsContext, IStoreAccessor.Raw, IStoreAccessor.Raw2, IStoreAccessor.UnitSupport`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `NEW_BRANCH, NEW_LOCAL_BRANCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `finishUnit​(IView view, CDOID rootID, CDORevisionHandler revisionHandler, long timeStamp, java.lang.Object initResult, java.util.List<CDOID> ids)` |
    `java.lang.Object` | `initUnit​(IView view, CDOID rootID, CDORevisionHandler revisionHandler, java.util.Set<CDOID> initializedIDs, long timeStamp, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |
    `void` | `readUnit​(IView view, CDOID rootID, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |
    `java.util.List<CDOID>` | `readUnitRoots()` |
    `void` | `writeUnits​(java.util.Map<CDOID,​CDOID> unitMappings, long timeStamp)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `createBranch, loadBranch, loadBranches, loadSubBranches`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.commit.InternalCDOCommitInfoManager.CommitInfoLoader

      `loadCommitData, loadCommitInfos`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

      `getQueryHandler`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `commit, createChunkReader, getSession, getStore, getTransaction, handleLobs, handleRevisions, isReader, loadLob, loadPackageUnit, queryLobs, queryResources, queryXRefs, readChangeSet, readPackageUnits, readResourceID, readRevision, readRevisionByVersion, release, rollback, write, writePackageUnits`

- - ### Method Detail

    - #### readUnitRoots

          java.util.List<CDOID> readUnitRoots()

    - #### readUnit

          void readUnit​(IView view,
                        CDOID rootID,
                        CDORevisionHandler revisionHandler,
                        org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

    - #### initUnit

          java.lang.Object initUnit​(IView view,
                                    CDOID rootID,
                                    CDORevisionHandler revisionHandler,
                                    java.util.Set<CDOID> initializedIDs,
                                    long timeStamp,
                                    org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

    - #### finishUnit

          void finishUnit​(IView view,
                          CDOID rootID,
                          CDORevisionHandler revisionHandler,
                          long timeStamp,
                          java.lang.Object initResult,
                          java.util.List<CDOID> ids)

    - #### writeUnits

          void writeUnits​(java.util.Map<CDOID,​CDOID> unitMappings,
                          long timeStamp)